Subject: [bfcpbis] Review of draft-ram-bfcpbis-sdp-ws-uri-01.txt

From: Christer Holmberg <[email-masked]>
Date: Tue, 20 Oct 2015 18:53:20 +0000

Hi,

I have reviewed draft-ram-bfcpbis-sdp-ws-uri-01.txt.

I think the draft needs some editorial work, and there is also technical procedures (related to SDP Offer/Answer) missing.

Q3_1:    I suggest to remove "Media" from the section titles. Instead the text should indicate that the attributes are media-level attributes. Also, in the text you should say something like "This section defines a new SDP media-level attribute, <attribute-name>,...." instead of the current text which says "The new attribute MUST be a media level...".

Q3_2:    Sections 3.1 and 3.2 start with text saying:

"Applications that use SDP for negotiation and also use WebSocket as a
              transport protocol MAY indicate the connection URI for the WebSocket..."

I don't think this text belongs in the attribute definition sections. Instead I suggest to add a section "3.1 General" where you describe the need for the attributes.

Also, instead of saying "Applications that use SDP for negotiation..." I would say "Applications that use the SDP Offer/Answer mechanism [RFC3264] for negotiating media...".

Q3_3:    There is no port information in c= lines.

Q3_4:    There should be an 'SDP Offer/Answer' section, describing the usage of the attributes. The structure should be:

   X.  SDP Offer/Answer Procedures

     X.1.  General

     X.2.  Generating the Initial SDP Offer

     X.3.  Generating the SDP Answer

     X.4.  Offerer Processing of the SDP Answer

     X.5.  Modifying the Session

For example, in section X.5 you need to describe what it means to NOT include the attributes in a subsequent offer. Does it mean that the websocket connection shall be terminated? Etc.

Regards,

Christer